Bug 1804228 - ovirt-config.yaml not getting generated by openshift-install
Summary: ovirt-config.yaml not getting generated by openshift-install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.5.0
Assignee: Roy Golan
QA Contact: Jan Zmeskal
URL:
Whiteboard:
Depends On:
Blocks: 1804694
TreeView+ depends on / blocked
 
Reported: 2020-02-18 13:55 UTC by Vishal Bhatia
Modified: 2020-07-13 17:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1804694 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:15:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3135 0 None closed Bug 1804228: ovirt-config.yaml not getting generated by openshift-install 2020-09-09 11:50:31 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:16:10 UTC

Description Vishal Bhatia 2020-02-18 13:55:14 UTC
Description of problem:

Running the openshift-install for ovirt provider doesn't generates the ovirt-config.yaml file. Had to manually create the file under 
/root/.ovirt/ovirt-config.yaml


Actual results:
File not generated, manual creation required

Expected results:
File is generated automatically after providing the parameters to installer

Additional info:

Comment 3 Jan Zmeskal 2020-03-16 11:31:27 UTC
Verified using openshift-install-linux-4.4.0-0.nightly-2020-03-16-034024

Verification steps:
[root@system-ge-4 ~]# rm -rf ~/.ovirt
[root@system-ge-4 ~]# ./openshift-install create cluster --dir=test-cluster
? SSH Public Key /root/.ssh/id_rsa.pub
? Platform ovirt
? Enter oVirt's api endpoint URL https://<engine_fqdn>/ovirt-engine/api
? Is the installed oVirt certificate trusted? No
? Enter ovirt-engine username admin@internal
? Enter password ******
? Select the oVirt cluster golden_env_mixed_1
? Select the oVirt storage domain nfs_0
? Select the oVirt network ovirtmgmt
? Enter the internal API Virtual IP 10.0.0.1
? Enter the internal DNS Virtual IP 10.0.0.2
? Enter the ingress IP  10.0.0.3
? Base Domain ocptest.org
? Cluster Name ocptest
? Pull Secret [? for help] **********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************
INFO Obtaining RHCOS image file from 'https://releases-art-rhcos.svc.ci.openshift.org/art/storage/releases/rhcos-4.4/44.81.202003110027-0/x86_64/rhcos-44.81.202003110027-0-openstack.x86_64.qcow2.gz?sha256=237b9e0af475bf318abbe8d83d5508c2c3d4cca96fdcdb16edace2cc062216d1' 
INFO The file was found in cache: /root/.cache/openshift-installer/image_cache/2158211434d46c0485882ed39e0ddc97. Reusing... 
INFO Creating infrastructure resources...

Comment 4 Jan Zmeskal 2020-03-16 14:39:22 UTC
Moved to VERIFIED by accident. I did not notice that this one is targeted for OCP4.5. Moving back to ON_QA.

Comment 5 Jan Zmeskal 2020-03-24 10:41:34 UTC
Verified with:
openshift-install-linux-4.5.0-0.nightly-2020-03-24-074704
rhvm-4.3.9.0-0.1.el7.noarch

Verification steps:
1. rm -rf ~/.ovirt
2. openshift-install create install-config
3. # provide answers
4. ls -l ~/.ovirt  # make sure ovirt-config.yaml file got generated and has correct content

Comment 7 errata-xmlrpc 2020-07-13 17:15:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.